/* Responsive */
@media (min-width: 768px) {
    nav { display: flex; }
    .menu-mobile { display: none; }
    .hero-grid { grid-template-columns: 1fr 1fr; }
    .hero h1 { font-size: 48px; }
    .hero-img { display: block; }
    .article-grid { grid-template-columns: repeat(3, 1fr); }
    .cta-content { flex-direction: row; text-align: left; justify-content: space-between; }
    
}

/* Common CSS */
section {
    padding: 1.5rem 0;
}

.header-horizon-margin {    
    margin-top: 64px;
}

/* CSS Reset & Variables */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
} 


:root {
    --primary-blue: #004EA8;
    --secondary-blue: #00A9CE;
    --light-blue: #A3C7D2;
    --accent-orange: #EE5340;
    --accent-yellow: #FCAF17;
    --footer-bg: #3A5A80;
    --text-dark: #414042;
    --white: #ffffff;
    --gray: #E6E6E6;
}
body {
    line-height: 1.5;
    color: var(--text-dark);
    background-color: var(--white);
}

a {
    text-decoration: none;
    transition: all 0.3s ease;
    font-size: 18px;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 24px;
}

/* Font Size Responsive ========================= */

h2 {
  font-size: clamp(18px, 2.1vw, 24px);
  font-weight: 700;
  line-height: 1.3;
}

li, a,
p {
  font-size: clamp(14px, 1.25vw, 16px);
  line-height: 1.7;
}

/* COMMON Button ========================= */

.button-group {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}

.button {
    padding: 12px 24px;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 600;
    display: inline-block;
}

.button-primary {
    border: 2px solid var(--accent-orange);
    background-color: var(--accent-orange);
    color: var(--white);
}

.button-primary:hover {
    background-color: #D7493C;
    color: var(--white);
}

.button-outline {
    border: 2px solid var(--secondary-blue);
    color: var(--white);
    min-width: max-content;
}

.button-outline:hover {
    background-color: #18AACD;
    color: var(--white);
}

.logo {
    height: 40px;
    width: auto;
    float: left;
    transition: 0.3s ease-in-out;    
}
